Subject: Re: tlb flushing on Power

From: Michael Neuling <[email-masked]>
Date: Wed, 07 Mar 2012 16:28:14 +1100

Seth,

> Thanks for the help!  I was wondering if you could take a look at something
> for me.
> 
> I've been working on this staging driver (zsmalloc memory allocator)
> that does virtual mapping of two pages.
> 
> I have a github repo with the driver and the unsubmitted changes.  I'm
> trying to make to get the pte/tlb stuff working in a portable way:
> 
> git://github.com/spartacus06/linux.git (portable branch)
> 
> The experimental commits are the top 5 and the branch is based on
> Greg's staging-next + frontswap-v11 patches.
> 
> Could you take a look at the zs_map_object() and zs_unmap_object()
> in drivers/staging/zsmalloc/zsmalloc-main.c and see if they should
> work for PPC64?

I suggest you post the code directly to the list in reviewable chucks.
People are much more likely to review it if they don't have to download
some random git tree, checkout some branch, find the changes, etc etc.

If it's work in progress, mark it as an RFC patch and note what issues
you think still exist.  

Mikey